<div class="container">
    <div id="contenido" class="container text-center">
        <div *ngIf="showViewCapture">
            <h3 class="my-3 ">{{titulo}}</h3>

            <div class="row">
                <div class="col-6 mx-auto my-3">
                    <img alt="" class="img-fluid" src="{{fotoFT}}">
                </div>
              </div>
        <p class="text-2">{{description}}</p>
        <p class="text-2 text-center">{{instruction}}</p>
        <!--
            <ul class="fa-ul">
                <li class="mb-4"><span class="fa-li"><i class="far fa-check-circle text-success fa-lg"></i></span>{{stepOne}}</li>
                <li class="mb-4"><span class="fa-li"><i class="far fa-check-circle text-success fa-lg"></i></span>{{stepTwo}}</li>
                <li class="mb-4"><span class="fa-li"><i class="far fa-check-circle text-success fa-lg"></i></span>{{stepThree}}</li>

            </ul> captureCameraWeb-->
        <p class="my-3">
            <button id="captureCameraWeb" (click)="captureCamera()" type="button" class="btn btn-lg btn-block btn-danger mr-3  btnPrimary"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Tomar foto</button>
        </p>
        
        <p class="my-3" *ngIf="galeryOption">
            <span>
                <input #imgInput type="file" accept="image/*" (change)="processFile(imgInput)">
                <button id="galeryButton" (click)="imgInput.click()" type ="button" class="btn btn-lg btn-block btn-outline-danger btn-danger mr-3 btnPrimary"
                    [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()"><i class="far fa-image"></i> Galería</button>
                    </span>
        </p>

        <p class="my-3" *ngIf="backOption">
            <span>
                <button id="backButton" (click)="back()" type ="button" class="btn btn-lg btn-block btn-outline-danger btn-danger mr-3 btnUrl btnPrimary" data-url="errorIdentificacion.html"
                    [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()"><i class="far fa-image"></i> Volver a capturar</button>
                    </span>
        </p>

        <p class="my-3" *ngIf="continueOption">
            <span>
                <button id="continueButton" (click)="continue()" type ="button" class="btn btn-lg btn-block btn-outline-danger btn-danger mr-3 btnUrl btnPrimary" data-url="errorIdentificacion.html"
                    [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()"><i class="far fa-image"></i> Continuar</button>
                    </span>
        </p>
        </div>
        

        <!--
        <p class="my-3">
            <button id="MovilContinue" (click)="movilContinue()" type="button" class="btn btn-lg btn-block btn-danger mr-3 btnUrl continue btnPrimary" data-url="errorIdentificacion.html"
            [style.border-color]="getColorButton()"
            ><i class="fas fa-mobile"></i> Continuar en el celular</button>
        </p>-->
        <div *ngIf="captureFoto">
            <!--
            <video id="video"></video>
            <br>
            <button id="boton">Tomar foto</button>
            <p id="estado"></p>
            <canvas id="canvas"></canvas>-->

            <div class="page-capture">
                 <!--*ngIf="showGaleryOption"-->
        <div class="fqTopButton" *ngIf="showGaleryOption">
            <p class="center">
                <span>
                    <input #imgInput type="file" accept="image/*" (change)="processFile(imgInput)">
                    <button id="galeryButton" (click)="imgInput.click()" type ="button" class="btn btn-lg btn-danger btnPrimary"
                    [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()" ><i class="far fa-image"></i> Tomar foto desde Galeria</button>
                        </span>
            </p>
        </div>

        <!--Seguir Intentado-->
        <div class="fqTopButton2" *ngIf="showGaleryOption">
            <p class="center">
                <button id="captureDocumentDaon" (click)="continueCamera()" type ="button" class="btn btn-lg btn-danger btnPrimary"
                [style.background-color]="getColorButton()"
                [style.border-color]="getColorButton()"
                [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Seguir Intentado </button>
            </p>
        </div>

                <div class="row">
                    <div class="col-12">
                        <div class=" {{isEdge ? 'ui-canvas-container hiddenEdge':'ui-canvas-container'}}">            
                            <video id="video" class="{{this.isMobileBool ? 'ui-canvas' : isEdge ? 'ui-canvas scale-edge' : 'ui-canvas'}}" autoplay="" playsinline="" ng-style="{this.isMobileBool ? 'display: inherit;' :  'display: inherit; transform: scaleX(-1);'}"></video>
                            <div class="overlay overlay-rect overlay-rect-id"></div>             
                        </div>
                    </div>
                </div>
                
                <canvas id="canvas" style="overflow:auto; visibility: hidden;"></canvas>                     
                
                <div class="fq" *ngIf="cameraCapture">
                    <h4 class="center instructions-on-face">{{mensaje}}</h4>
                    <p class="center">
                        <button id="captureDocumentDaon" (click)="enter()" type ="button" class="btn btn-lg btn-danger btnPrimary"
                        [style.background-color]="getColorButton()"
                        [style.border-color]="getColorButton()"
                        [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Tomar foto</button>
                        
                        <button id="enfocar" type ="button" class="btn btn-lg btn-danger btnPrimary"
                        [style.background-color]="getColorButton()"
                        [style.border-color]="getColorButton()"
                        [style.color]="getColorLabel()"><i class="fas fa-camera"></i> Enfocar</button>
                    </p>
                    
                </div>
            </div> 
        </div>
        

        </div>
    </div>

<div id="modalConfirm" class="modal my-auto">

    <!-- Modal content -->
    <div class="modal-content">
        <h3>Aviso importante</h3>
        <p>Si presiona el botón "Confirmar" únicamente podrá continuar su registro en su dispositivo móvil</p>
        <button id="btnAceptarModal" type="button" (click)="aceptar()" class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary"
        [style.background-color]="getColorButton()"
        [style.border-color]="getColorButton()"
        [style.color]="getColorLabel()">Confirmar</button>
        <button id="btnCancelarModal" type="button" (click)="cerrarModal()" class="btn btn-lg btn-block mr-3 btnUrl colorTextBtn btnPrimary"
        [style.border-color]="getColorButton()"
        [style.color]="getColorLabel()">Regresar</button>
    </div>
</div>